<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <script
            src="https://code.jquery.com/jquery-3.5.1.js"
            integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc="
            crossorigin="anonymous"></script>
    <title>Register</title>
</head>
<body>
<div style="width: 100%; height: 100vh; align-items: center;" class="container-fluid d-flex justify-content-center">
    <div class="card card-body" style="max-width: 320px;">
        <p class="card-title mx-auto">Log In </p>
        <form action="" method="POST" id="registerForm">
            <div class="form-group">
                <label for="name">Nombre</label>
                <input type="text" id="name" name="name" class="form-control">
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input type="text" id="email" name="email" class="form-control">
            </div>
            <div class="form-group">
                <label for="password">Contraseña</label>
                <input type="password" id="password" name="password" class="form-control">
            </div>
            <div class="form-group">
                <label for="confirmPassword">Repetir contraseña </label>
                <input type="password" id="confirmPassword" name="confirmPassword" class="form-control">
            </div>
            <button type="submit"  class="btn-block btn btn-danger">Registrarse</button>
        </form>
        <p class="text-warning pt-1" id="alertas" style="display: none;"></p>
        <div class="alert alert-succes mt-2" role="alert" style="display: none;" id="alertRegister">
            Registrado exitosamente
        </div>
    </div>
    </div>

    <script>
        let name;
        let email;
        let password;
        let confirmPassword;
        $("#registerForm").on('submit', (event)=> {
            event.preventDefault()
            name = $("#name").val()
            email = $("#email").val()
            password = $("#password").val()
            confirmPassword = $("#confirmPassword").val()
            if (password !== confirmPassword) {
                $("#alertas").text("Las contraseñas no coinciden")
            }
            if (password.length < 8){
                $("#alertas").text("La contraseña debe contener 8 caracteres")
            }
            $.ajax({
                url: 'http://localhost:4000/api/auth/register',
                method: 'POST',
                data: {
                    name: name,email:  email, password : password
                },
                success: () => {
                    $("#alertRegister").css('display', 'inline')
                    setTimeout(()=> {
                        $(location).attr('href', 'http://localhost:4000/login')
                    }, 2000)
                },
                statusCode: {
                    400: (error) => {
                        let causa = error.responseText.error; 
                        if(causa !== undefined){
                            $("#alertas").text("La dirección de correo está en uso")
                        }
                        else{
                            
                            causa = JSON.parse(error.responseText)
                            $("#alertas").text(causa.details[0].message)   
                        }
                            
                    }
                }
            })
        })
    </script>
</body>
</html>
